# $Revision: 1.12 $, $Date: 2007/01/23 15:46:54 $
%define		mod_name	auth_yp
%define 	apxs		/usr/sbin/apxs1
Summary:	NIS/YP domain authentication module for Apache
Summary(pl):	Modu Apache'a uwierzytelniajcy uytkownika w domenie NIS/YP
Name:		apache1-mod_%{mod_name}
Version:	1.0
Release:	3
License:	GPL
Group:		Networking/Daemons
Source0:	http://nte.univ-lyon2.fr/~brogniar/articles/mod_%{mod_name}.c
Source1:	%{name}-htaccess
Patch0:		%{name}-authfile.patch
Patch1:		%{name}-shadow.patch
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_auth_yp <= 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
Apache module authenticating against a NIS/YP domain.

%description -l pl
Modu do Apache'a autoryzujcy w domenie NIS/YP.

%prep
%setup -qcT
install %{SOURCE0} .
%patch0
%patch1

%build
%{apxs} \
	-c mod_%{mod_name}.c \
	-o mod_%{mod_name}.so \
	-l nsl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} ./sample-htaccess

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- apache1-mod_%{mod_name} < 1.0-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc sample-htaccess
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_auth_yp.spec,v $
Revision 1.12  2007/01/23 15:46:54  glen
- rel 3 (R: apache1(EAPI) instead of apache1)

Revision 1.11  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.10  2006/04/14 16:50:13  glen
- use %service

Revision 1.9  2005/12/13 17:15:01  glen
- adapterized after adapter fixes

Revision 1.8  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.7  2005/02/15 12:05:39  glen
- rel 2; STBR

Revision 1.6  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.5  2004/09/01 16:11:09  adamg
- kill pld.org.pl leftovers

Revision 1.4  2004/08/29 19:34:15  radek
- mv apache{,1}-*; release 1

Revision 1.3  2004/04/27 11:56:49  baggins
- release 2
- link against libnsl

Revision 1.2  2003/11/23 00:02:13  ankry
- cosmetics

Revision 1.1  2003/11/22 23:45:48  zagrodzki
- initial release
